Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1367538 - nodejs should build with ICU
Summary: nodejs should build with ICU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 17:21 UTC by Giovanni Campagna
Modified: 2016-08-30 18:18 UTC (History)
8 users (show)

Fixed In Version: nodejs-4.5.0-1.fc24 nodejs-6.4.0-102.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 13:50:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Giovanni Campagna 2016-08-16 17:21:19 UTC
Description of problem:
Nodejs at the moment is built with default intl flags, which means it has no internationalization support at all.

It should be built with --with-intl=system-icu

Version-Release number of selected component (if applicable):
nodejs-4.4.7-2.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
node -e "Intl"

Actual results:
ReferenceError: Intl is not defined

Expected results:
nothing

Comment 1 Fedora Update System 2016-08-16 19:05:43 UTC
nodejs-6.3.1-101.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1dbf4ecb44

Comment 2 Fedora Update System 2016-08-16 19:06:09 UTC
nodejs-4.4.7-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-320d68efc7

Comment 3 Fedora Update System 2016-08-17 19:54:11 UTC
nodejs-6.3.1-101.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1dbf4ecb44

Comment 4 Fedora Update System 2016-08-18 01:52:25 UTC
nodejs-4.4.7-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-320d68efc7

Comment 5 Fedora Update System 2016-08-18 13:39:41 UTC
nodejs-4.5.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d77212291e

Comment 6 Fedora Update System 2016-08-18 14:00:44 UTC
nodejs-6.4.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e93f6e67a

Comment 7 Fedora Update System 2016-08-18 16:53:48 UTC
nodejs-6.4.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e93f6e67a

Comment 8 Fedora Update System 2016-08-19 00:59:01 UTC
nodejs-4.5.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d77212291e

Comment 9 Fedora Update System 2016-08-24 06:44:40 UTC
nodejs-6.4.0-102.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-da53dbccd6

Comment 10 Fedora Update System 2016-08-24 07:53:29 UTC
nodejs-6.4.0-102.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-da53dbccd6

Comment 11 Fedora Update System 2016-08-24 13:50:25 UTC
nodejs-4.5.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-30 18:18:42 UTC
nodejs-6.4.0-102.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.